<html>
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
            integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
     
      
    </head>
    <body>
            <div class="navigation-bar navbar-dark bg-dark" style="background-color: lightgray">
                    <nav class="navbar navbar-expand-lg navbar-light bg-steelblue">
                        <a class="navbar-brand text-danger" href="{{url_for('home')}}"><strong >Quora</strong></a>
                        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02"
                            aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                            <span class="navbar-toggler-icon"></span>
                        </button>
        
                        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
                            <ul class="navbar-nav mr-auto mt-2 mt-lg-0 pd-5">
                                <li class="nav-item active">
                                    <a class="nav-link pl-5 pr-5" href="{{url_for('home')}}">Home </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link pl-5 pr-5" href="{{url_for('about')}}">About</a>
                                </li>
                                <li class="nav-item">
                                    <form class="form-inline my-2 my-lg-0 pl-5  pr-5 mt-2" action='home'>
                                        <input class="form-control mr-sm-2 pr-5" type="search"  name="search" placeholder="Search">
                                        <!-- <a style="text-decoration: none" href="{{url_for('home')}}?value="></a> -->
                                        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
                                    </form>
                                </li>
                                {% if current_user.is_anonymous %}
                                    <li class="nav-item active pl-5 pr-5">
                                        <a class="nav-link" href="{{url_for('login')}}">Login </a>
                                    </li>
                                {% else %}
                                    <!-- <li class="nav-item active pl-5 pr-5">
                                     <a class="nav-link" href="{{url_for('logout')}}">Logout <span class="sr-only">(current)</span></a>
                                    </li> -->
                                    <li>
                                        <div class="d-flex">
                                            <div class="dropdown mr-1">
                                                <button type="button" class="btn btn-secondary dropdown-toggle" id="dropdownMenuOffset" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-offset="10,20">
                                                    {{current_user}}
                                                </button>
                                                <div class="dropdown-menu" aria-labelledby="dropdownMenuOffset">
                                                    <a class="dropdown-item" href="{{url_for('profile')}}">Profile</a>
                                                    <a class="dropdown-item" href="{{url_for('download')}}">Download Data</a>
                                                    <a class="dropdown-item" href="{{url_for('logout')}}">Logout</a>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                {% endif %}
                                <li class="nav-item pl-5 pr-5">
                                    <a class="nav-link" href="{{url_for('register')}}">Register</a>
                                </li>
                            </ul>
                        </div>
                    </nav>
                </div>
        
                {% with messages = get_flashed_messages(with_categories=true) %}
                <!-- {% print("flash=",messages)%} -->
                    {% if messages %}
                    
                        {% for category ,message in messages %}
                        
                            {% if category =='error'%}
                                <div style="text-align: center;vertical-align: middle " class="alert alert-danger p-3">
                                    <strong> {{ message}}</strong>
                                </div>
                            {% endif %}
                            {% if category =='warning'%}
                            
                                <div style="text-align: center;vertical-align: middle " class="alert alert-warning p-3">
                                    <strong> {{ message}}</strong>
                                </div>
                            {% endif %}
                            {% if category =='message' %}
                                <div class="alert alert-success  ">
                                <p style="text-align: center;vertical-align: middle " > <strong> {{ message}}</strong></p>
                                </div>
                            {%endif%}
                        {% endfor %}
                    {% endif%}
                {% endwith %}
           
        <div class="col-md-12">
                {% block content %}
                {% endblock %}
        </div>
        
        
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.min.js" ></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
            crossorigin="anonymous"></script>
    </body>
</html>


